--[[************************************************************************$
 * Copyright (C) 2013-2016 Ing. Buero Riesberg - All Rights Reserved
 * Unauthorized copy, print, modify or use of this file, via any medium is
 * strictly prohibited. Proprietary and confidential.
 * Written by Andre Riesberg <andre@riesberg-net.de>
 **************************************************************************]]

local interpreter = {
  name = "NOGS CN",
  description = "NOGS CN interpreter",
  api = {"baselib", "sample"},
  frun = function(self, wfilename, rundebug)
    CommandLineRun("cn.exe " .. wfilename:GetFullPath(), self:fworkdir(wfilename), true, false)
  end,
  fprojdir = function(self,wfilename)
    return wfilename:GetPath(wx.wxPATH_GET_VOLUME)
  end,
  fworkdir = function (self,wfilename)
    return ide.config.path.projectdir or wfilename:GetPath(wx.wxPATH_GET_VOLUME)
  end,
  hasdebugger = true,
  fattachdebug = function(self) DebuggerAttachDefault() end,
}

return {
  name = "NOGS CN",
  description = "...",
  author = "Andre Riesberg",
  version = 0.2,
 
  onRegister = function(self)
    ide:AddInterpreter("NOGS CN", interpreter)
  end,

  onUnRegister = function(self)
    ide:RemoveInterpreter("NOGS CN")
  end,
}
