--[[
 *  CN library
 *
 *  Copyright (C) Nogs GmbH, Andre Riesberg
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, 
 *  write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
--]]
-----------------------------------------------------------------------------
-- Author: Andre Riesberg
-- V1.0.0
-----------------------------------------------------------------------------


if not cn then
  cn = {
    tickCount = 0,
    onTickCallbacks = {}
  }
end

-----------------------------------------------------------------------------

sys.idle = function()
  local isTicked, elapsedTime = sys.isTicked();
  if isTicked then
    cn.tickCount = cn.tickCount + 1
    for i = 1, #cn.onTickCallbacks do
      cn.onTickCallbacks[i](elapsedTime)
    end
  end
  return true
end

-----------------------------------------------------------------------------
return cn
-----------------------------------------------------------------------------

